Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 83489 - Need graphics for Message flow connection handles
Need graphics for Message flow connection handles
Status: VERIFIED FIXED
Product: soa
Classification: Unclassified
Component: BPEL
5.x
All All
: P2 (vote)
: 5.x
Assigned To: Alexey Anjeleevich
issues@soa
55EP_RR_DOCS
: UI
Depends on: 83488 84421
Blocks: 83253
  Show dependency treegraph
 
Reported: 2006-08-25 17:55 UTC by Michael Frisino
Modified: 2006-10-13 11:48 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Frisino 2006-08-25 17:55:27 UTC
Jirka, AI for you: We need icon for it. It should be in 3 different versions:
-idle(appears when element is just selected)
-disabled(DnD was started, but still over incorrect drop point)
-Enabled(DnD is over valid drop point)

see also bug  	83488
Comment 1 Michael Frisino 2006-08-25 18:06:08 UTC
this is icons for message flow connection handles.

Also, please bear in mind, the assumption here is that there is a single handle
per element, or at most, one handle on each side of the element. 

There is not a separare input and output handle for the invoke. At least it has
not been implemened like that. 
Comment 2 Sergey Lunegov 2006-08-28 07:53:13 UTC
Added "VISUAL" to status whiteboar to simplify issue tracking for Jirka.
Comment 3 Jiri Kopsa 2006-08-28 07:55:35 UTC
A couple of comments from email threads:

* Question - do you think it is possible to provide any feedback to user to help
them know when they can release the mouse? (i.e. highlight the target activity
when mouse is over valid target )?

* ... "bolden" the existing connection (if one is already present). This allows
user to see difference b/t new connection and old connection when user is
changing connections. 
Comment 4 Jiri Kopsa 2006-08-28 08:08:07 UTC
Another set of comments - asymetry isues:

* currently no handles on PartnerLink side 
* this means that connection can only be initiated on drag originating on
process activity and ending at partner link.   In the previous shift-click
gesture we could initiate drawing from both directions.
Comment 5 Alexey Yarmolenko 2006-09-07 14:09:19 UTC
My comments to Jirka's proposals:

[currently no handles on PartnerLink side ]

questionable thing, because operation and webservice activities have one-to-
many relationship. So, its likely to have more than one message flow link to 
be connected to the same operation and it can be unclear which link will be 
ajusted bu DnDing this handle

[bolden" the existing connection]
Quiet problematic from implementation point of view. 

[highlight the target activity when mouse is over valid target]

I like this idea. We need suggestions how this thing should look like.
Comment 6 Jiri Kopsa 2006-09-07 16:38:51 UTC
Suggested graphics and scenario is here:
http://enterprise.netbeans.org/specs/bpel/messageFlowCreation/messageFlowCreation.html
Comment 7 Alexey Yarmolenko 2006-09-08 12:54:04 UTC
Alexey, Please integrate graphics provided by Jirka.
Comment 8 Alexey Anjeleevich 2006-09-09 18:01:38 UTC
Graphics is integrated and other changes are made according to specification.

But I don't like flow link tool visualisation when message connection for
element  already exists. Another problem is that we can create message
connection but it is  impossible to remove it. 

Jirka could you evaluate this problems?
Comment 9 Jiri Kopsa 2006-09-09 19:36:05 UTC
Once the lines can be selected (which will be sometime in the future), it will
be possible to remove the message flows by selecting the lines.

Perhaps, we could allow the selection of the envelope icon and Delete. Another
solution would be to react on finish of DnD by removing the message flow if one
already exists. This applies to DnD initiated from the activity side.

I don't see any easy solution to select/remove a message flow from partnerlink
side besides selecting the message flow line as there really may be a big number
of incoming lines, so the interaction around the connection points is difficult.

Any ideas / suggestions?
Comment 10 Alexey Anjeleevich 2006-09-11 11:33:34 UTC
Ok. I mark this bug as fixed.

Comment 11 Victoria Zhukovskaya 2006-10-03 13:43:05 UTC
WinXP Coke061001


There is graphics on the left edge of webserivce activity elements
Comment 12 Victoria Zhukovskaya 2006-10-03 13:43:55 UTC
WinXP Coke061001
There is graphics on the left edge of webserivce activity elements


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo